[Buildroot] [PATCH v15 4/5] package/gdb: depend on libiberty

Adam Duskett aduskett at gmail.com
Tue Feb 4 21:39:55 UTC 2020


If present, GDB may use a system installed libiberty. As such, we must ensure
that host-libiberty is installed first.

Signed-off-by: Adam Duskett <aduskett at gmail.com>
---
v13 -> v14:
  - Fix typo in the comment. (Arnout)

v1 -> v11:
  - Add this patch to the series

 package/gdb/gdb.mk | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/package/gdb/gdb.mk b/package/gdb/gdb.mk
index 46d745a897..01f7e14460 100644
--- a/package/gdb/gdb.mk
+++ b/package/gdb/gdb.mk
@@ -35,7 +35,9 @@ endif
 # For the host variant, we really want to build with XML support,
 # which is needed to read XML descriptions of target architectures. We
 # also need ncurses.
-HOST_GDB_DEPENDENCIES = host-expat host-ncurses
+# As for libiberty, gdb may use a system-installed one if present, so
+# we must ensure ours is installed first.
+HOST_GDB_DEPENDENCIES = host-expat host-libiberty host-ncurses
 
 # Disable building documentation
 GDB_MAKE_OPTS += MAKEINFO=true
-- 
2.24.1



More information about the buildroot mailing list